A problem accured during starting PL

Hi, guys!

After a fresh new installation, the following errors occurred:

(ceco) C:\Users\studiogra>perceptilabs
PerceptiLabs: Your environment does not have atari_py installed, so some functionality may not be available
PerceptiLabs: To install it, please follow the directions at https://github.com/Kojoley/atari-py and then install gym through ‘pip install gym[atari]’
INFO: Could not find files for the given pattern(s).
PerceptiLabs: Your environment does not have git installed, so interactions with GitHub will not be available
Traceback (most recent call last):
File “c:\users\studiogra\appdata\local\programs\python\python37\lib\site-packages\pkg_resources_init_.py”, line 344, in get_provider
module = sys.modules[moduleOrReq]
KeyError: ‘perceptilabs’

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “c:\users\studiogra\appdata\local\programs\python\python37\lib\site-packages\tensorflow\python\pywrap_tensorflow.py”, line 64, in
from tensorflow.python._pywrap_tensorflow_internal import *
ImportError: DLL load failed: A dynamic link library (DLL) initialization routine failed.

Failed to load the native TensorFlow runtime.

See https://www.tensorflow.org/install/errors

for some common reasons and solutions. Include the entire stack trace
above this error message when asking for help.

(ceco) C:\Users\studiogra>

The computer is running Python 3.7 on Win 10. I created one environment, then I created another and the errors appear again.
Any guesses?

Thank you in advance!

Hi @Venci :wave:

Looks like it’s tensorflow which is failing.
We recently upgraded to tensorflow 2.4 which might be what is causing you the trouble.
What happens if you just install the latest tensorflow version in a new environment and then try to import that?